## 技术栈

### 基础

<!-- prettier-ignore -->
- [SpringBoot v2.5.x](https://spring.io/projects/spring-boot)
- [Lombok](https://projectlombok.org/)
- [Spring Web](https://docs.spring.io/spring-framework/docs/current/reference/html/web.html)
- [Spring Data Jpa](https://spring.io/projects/spring-data-jpa)

### Tools

<!-- prettier-ignore -->
- [Hutool](https://www.hutool.cn/) 工具包

### Doc

<!-- prettier-ignore -->
- [Knife4j](https://doc.xiaominfo.com/) Swagger 增强包

### 扩展

<!-- prettier-ignore -->
- [sa-token](https://sa-token.dev33.cn/) 权限认证框架
- [MinIO](https://docs.min.io/) MinIO S3 文件存储

### 构建工具

<!-- prettier-ignore -->
- [Gradle](https://gradle.org/)

### 其他

<!-- prettier-ignore -->
- [spotless](https://github.com/diffplug/spotless) 代码规范工具
- [commitizen](https://github.com/commitizen) Git 提交规范工具
- ...
